Bug 1241668 - 'openstack help overcloud deploy' : doesn't cover comments/explanation for all deployment --arguments
Summary: 'openstack help overcloud deploy' : doesn't cover comments/explanation for al...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: y1
: 7.0 (Kilo)
Assignee: Lennart Regebro
QA Contact: Omri Hochman
URL:
Whiteboard:
: 1235423 (view as bug list)
Depends On:
Blocks: 1241148
TreeView+ depends on / blocked
 
Reported: 2015-07-09 18:42 UTC by Omri Hochman
Modified: 2023-02-22 23:02 UTC (History)
8 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.9-2.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-08 12:10:37 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gerrithub.io 241837 0 None None None Never
Red Hat Product Errata RHSA-2015:1862 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux OpenStack Platform 7 director update 2015-10-08 16:05:50 UTC

Description Omri Hochman 2015-07-09 18:42:49 UTC
'openstack help overcloud deploy' : doesn't cover comments/explanation for all deployment --arguments  

Environment:
-------------
python-rdomanager-oscplugin-0.0.8-18.el7ost.noarch
instack-0.0.7-1.el7ost.noarch
instack-undercloud-2.1.2-11.el7ost.noarch


Current View: 
--------------
openstack help overcloud deploy 
  --overcloud_nameserver OVERCLOUD_NAMESERVER
  --floating-ip-cidr FLOATING_IP_CIDR
  --floating-ip-start FLOATING_IP_START
  --floating-ip-end FLOATING_IP_END
  --bm-network-gateway BM_NETWORK_GATEWAY


We need to make sure having the comments in here into the ucli help text:   https://review.gerrithub.io/#/c/236808/4/deploy-baremetal-overcloudrc 


#!/bin/bash
# Interface where external network is attached to overcloud controller(s).
# This interface will be used by the controller(s) for floating IPs.
export NeutronPublicInterface=nic1

# OVERCLOUD_LIBVIRT_TYPE may be either kvm or qemu (if using nested virt).
export OVERCLOUD_LIBVIRT_TYPE=kvm

# Network CIDR to use when creating "default-net" tenant network. This
# will be used for the VM instances. This network should not overlap
# with any other subnets used on the network.
export NETWORK_CIDR="10.0.0.0/24"

# Range of IP addresses to add to Neutron floating ip pool. These should
# be on the same network where NeutronPublicInterface is attached. This
# range of IP addresses should not overlap with any addresses that are in
# use or may be assigned by DHCP. 
export FLOATING_IP_START="172.17.0.45"
export FLOATING_IP_END="172.17.0.64"

# Network subnet for external network. This is the subnet that will be
# used for floating IPs. In the form 172.17.0.0/24
export FLOATING_IP_CIDR="172.17.0.0/24"

# Network gateway on external network. This is the address of the gateway
# that provides external access on the external network.

Comment 4 Lennart Regebro 2015-07-24 07:54:43 UTC
These parameters have been removed from the overcloud deploy command. Not all parameters have help-text though, so I'm keeping this open as we probably want to add help text to all those parameters.

  --control-scale CONTROL_SCALE
  --compute-scale COMPUTE_SCALE
  --ceph-storage-scale CEPH_STORAGE_SCALE
  --block-storage-scale BLOCK_STORAGE_SCALE
  --swift-storage-scale SWIFT_STORAGE_SCALE

  --neutron-flat-networks NEUTRON_FLAT_NETWORKS
  --neutron-physical-bridge NEUTRON_PHYSICAL_BRIDGE
  --neutron-bridge-mappings NEUTRON_BRIDGE_MAPPINGS
  --neutron-public-interface NEUTRON_PUBLIC_INTERFACE
  --hypervisor-neutron-public-interface HYPERVISOR_NEUTRON_PUBLIC_INTERFACE
  --neutron-network-type NEUTRON_NETWORK_TYPE
  --neutron-tunnel-types NEUTRON_TUNNEL_TYPES
  --neutron-disable-tunneling
  --neutron-network-vlan-ranges NEUTRON_NETWORK_VLAN_RANGES
  --neutron-mechanism-drivers NEUTRON_MECHANISM_DRIVERS
  --libvirt-type LIBVIRT_TYPE
  --ntp-server NTP_SERVER
  --cinder-lvm
  --tripleo-root TRIPLEO_ROOT
  --nodes-json NODES_JSON
  --no-proxy NO_PROXY

Comment 5 Lennart Regebro 2015-07-28 11:27:03 UTC
Most importantly, I can't find examples of how to use several of these:

  --neutron-flat-networks NEUTRON_FLAT_NETWORKS
  --neutron-bridge-mappings NEUTRON_BRIDGE_MAPPINGS
  --neutron-network-vlan-ranges NEUTRON_NETWORK_VLAN_RANGES
  --neutron-mechanism-drivers NEUTRON_MECHANISM_DRIVERS
  --no-proxy NO_PROXY

An explanation of the difference between these two would be nice too:

  --neutron-public-interface NEUTRON_PUBLIC_INTERFACE
  --hypervisor-neutron-public-interface HYPERVISOR_NEUTRON_PUBLIC_INTERFACE

Comment 6 Giulio Fidente 2015-07-29 12:27:44 UTC
Adding some pointers, maybe we can get help text from upstream docs:

  --neutron-flat-networks NEUTRON_FLAT_NETWORKS

http://docs.openstack.org/kilo/config-reference/content/networking-plugin-ml2_flat.html

defaults to 'datacentre' for us

  --neutron-physical-bridge NEUTRON_PHYSICAL_BRIDGE

deprecated

  --neutron-bridge-mappings NEUTRON_BRIDGE_MAPPINGS

http://docs.openstack.org/kilo/config-reference/content/networking-plugin-openvswitch_agent.html (bridge_mappings)

defaults to 'datacentre:br-ex' for us

  --neutron-public-interface NEUTRON_PUBLIC_INTERFACE
  --hypervisor-neutron-public-interface HYPERVISOR_NEUTRON_PUBLIC_INTERFACE

deprecated, both

  --neutron-network-type NEUTRON_NETWORK_TYPE

http://docs.openstack.org/kilo/config-reference/content/networking-options-plugins-ml2.html (tenant_network_types)

we don't support a 'list,of,values' for this parameter yet

  --neutron-tunnel-types NEUTRON_TUNNEL_TYPES

http://docs.openstack.org/kilo/config-reference/content/networking-plugin-openvswitch_agent.html (tunnel_types)

  --neutron-disable-tunneling

http://docs.openstack.org/juno/config-reference/content/networking-plugin-openvswitch_agent.html

was removed in kilo, we should probably do that too

  --neutron-network-vlan-ranges NEUTRON_NETWORK_VLAN_RANGES

http://docs.openstack.org/kilo/config-reference/content/networking-plugin-ml2_vlan.html

defaults to 'datacentre:1:1000' for us

  --neutron-mechanism-drivers NEUTRON_MECHANISM_DRIVERS

http://docs.openstack.org/kilo/config-reference/content/networking-options-plugins-ml2.html

  --libvirt-type LIBVIRT_TYPE

http://docs.openstack.org/kilo/config-reference/content/list-of-compute-config-options.html (virt_type)

  --ntp-server NTP_SERVER

an ntp server to configure for the overcloud nodes

  --cinder-lvm

whether to enable or not the cinder lvm/iscsi backend

Comment 7 Ana Krivokapic 2015-08-26 11:07:12 UTC
The fix has not been merged yet.

Comment 9 Omri Hochman 2015-09-15 15:19:40 UTC
Verified  with : python-rdomanager-oscplugin-0.0.10-1.el7ost.noarch 

it seems that except  --cinder-lvm and --nodes-json (which are not valid options) 

all the argument from the list appears on the deployment 'help'

Comment 11 errata-xmlrpc 2015-10-08 12:10:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1862

Comment 12 Julie Pichon 2017-03-30 18:15:50 UTC
*** Bug 1235423 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.